#!/bin/bash
# install-gsKit.sh by jimmikaelkael <jimmikaelkael@wanadoo.fr>
# Updated to use misfire's ps2dev mirror at github by SoulSlayer

source ./setup.sh

echo "Building gsKit..."
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
rm -R gsKit/
git clone git://github.com/ps2dev/gsKit.git || { echo "ERROR: failed to retrieve gsKit sources"; exit 1; }
chmod -R a+w gsKit/ || { echo "ERROR: failed change gsKit dir permissions"; exit 1; }
cd gsKit/ || { echo "ERROR: failed to enter gsKit dir"; exit 1; }
make clean || { echo "ERROR: failed to clean gsKit"; exit 1; }
make || { echo "ERROR: failed to build gsKit"; exit 1; }

HAVE_GSKIT_ENV=`eval cat ~/.profile | sed -n 's/^.*GSKIT=$PS2DEV.//p'`
if [ $HAVE_GSKIT_ENV == "gsKit" ]; then
echo "Already have GSKIT env var" > /dev/null
else
echo 'export GSKIT=$PS2DEV/gsKit' >> ~/.profile;
fi

echo "gsKit built successfully"

