#!/bin/bash
# install-ps2packer.sh by jimmikaelkael <jimmikaelkael@wanadoo.fr>
# Updated to use misfire's ps2dev mirror at github by SoulSlayer; updated to setup the proper ps2-packer env var by doctoryxz

source ./setup.sh

./${DISTRIB}/install-packages-ps2packer.sh

echo "Building ps2-packer..."
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
rm -R ps2-packer/
git clone git://github.com/ps2dev/ps2-packer.git || { echo "ERROR: failed to retrieve ps2-packer sources"; exit 1; }
chmod -R a+w ps2-packer/ || { echo "ERROR: failed change ps2-packer dir permissions"; exit 1; }

sudo sed 's/$(LIBZA)/-lz/g' /usr/local/ps2dev/ps2-packer/Makefile >$HOME/Makefile
sudo rm /usr/local/ps2dev/ps2-packer/Makefile
sudo sed 's/$(LIBUCLA)/-lucl/g' $HOME/Makefile >/usr/local/ps2dev/ps2-packer/Makefile
sudo rm $HOME/Makefile

if [ -f ${SOURCE_PATH}/${DISTRIB}/ps2-packer-custom.sh ]; then
	${SOURCE_PATH}/${DISTRIB}/ps2-packer-custom.sh
fi
cd ps2-packer/ || { echo "ERROR: failed to enter ps2-packer dir"; exit 1; }
make clean || { echo "ERROR: failed to clean ps2-packer"; exit 1; }
make || { echo "ERROR: failed to build ps2-packer"; exit 1; }
make install || { echo "ERROR: failed to install ps2-packer"; exit 1; }

HAVE_PS2PACKER_ENV=`eval cat ~/.profile | sed -n 's/^.*ps2-packer.//p'`
if [ $HAVE_PS2PACKER_ENV ]; then
echo "Already have ps2-packer env var" > /dev/null
else
echo 'export PATH=$PATH:$PS2DEV/ps2-packer' >> ~/.profile;
fi

echo "ps2-packer built successfully"



















