#!/bin/bash
# install-zlib.sh by jimmikaelkael <jimmikaelkael@wanadoo.fr>
# Updated to use misfire's ps2dev mirror at github by SoulSlayer

source ./setup.sh

echo "Downloading ps2sdk-ports..."
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
rm -R ps2sdk-ports/
git clone git://github.com/ps2dev/ps2sdk-ports.git || { echo "ERROR: failed to retrieve ps2sdk-ports sources"; exit 1; }

echo "Building zlib..."
cd $PS2DEV/ps2sdk-ports/ || { echo "ERROR: failed to enter ps2sdk-ports dir"; exit 1; }
chmod -R a+w zlib/ || { echo "ERROR: failed change zlib dir permissions"; exit 1; }
cd zlib/ || { echo "ERROR: failed to enter zlib dir"; exit 1; }
make clean || { echo "ERROR: failed to clean zlib"; exit 1; }
make || { echo "ERROR: failed to build zlib"; exit 1; }
make install || { echo "ERROR: failed to install zlib"; exit 1; }
echo "zlib built successfully"

echo "Building libpng..."
cd $PS2DEV/ps2sdk-ports/ || { echo "ERROR: failed to enter ps2sdk-ports dir"; exit 1; }
chmod -R a+w libpng/ || { echo "ERROR: failed change libpng dir permissions"; exit 1; }
cd libpng/ || { echo "ERROR: failed to enter libpng dir"; exit 1; }
make clean || { echo "ERROR: failed to clean libpng"; exit 1; }
make || { echo "ERROR: failed to build libpng"; exit 1; }
make install || { echo "ERROR: failed to install libpng"; exit 1; }
echo "libpng built successfully"

echo "Building libjpeg..."
cd $PS2DEV/ps2sdk-ports/ || { echo "ERROR: failed to enter ps2sdk-ports dir"; exit 1; }
chmod -R a+w libjpeg/ || { echo "ERROR: failed change libjpeg dir permissions"; exit 1; }
cd libjpeg/ || { echo "ERROR: failed to enter libjpeg dir"; exit 1; }
make clean || { echo "ERROR: failed to clean libjpeg"; exit 1; }
make || { echo "ERROR: failed to build libjpeg"; exit 1; }
make install || { echo "ERROR: failed to install libjpeg"; exit 1; }
echo "libjpeg built successfully"

echo "Building Freetype 2.4.12..."
cd $PS2DEV/ps2sdk-ports/ || { echo "ERROR: failed to enter ps2sdk-ports dir"; exit 1; }
chmod -R a+w freetype-2.4.12/ || { echo "ERROR: failed change Freetype dir permissions"; exit 1; }
cd freetype-2.4.12/ || { echo "ERROR: failed to enter Freetype dir"; exit 1; }
./SetupPS2.sh || { echo "ERROR: failed to install Freetype"; exit 1; }
echo "Freetype built successfully"


