#!/bin/bash
# setup.sh by izdubar <izdubar.bbln@gmail.com>

export SOURCE_PATH=$PWD

# Trying to guess the current distrib family
apt-get &>/dev/null
if [ $? -eq 0 ]; then
	export DISTRIB=debian
else
	zypper &>/dev/null
	if [ $? -eq 0 ]; then
		export DISTRIB=opensuse
	else
		yum &>/dev/null
		if [ $? -eq 0 ]; then
			export DISTRIB=fedora
		fi
	fi
fi

HAVE_X64_TAG=`eval uname -a | grep "x86_64"`
if [ -z "$HAVE_X64_TAG" ]; then
	export ARCH="32"
else
	export ARCH="64"
fi

echo "Your linux is (based on): ${DISTRIB} - ${ARCH} bits"

# Using GCC 4.4 by default
export GCC_VERSION=4.4
echo "Using GCC Version: ${GCC_VERSION}"

# Sourcing login script
if [ -f ~/.profile ]; then
	source ~/.profile || { echo "ERROR: failed to source login script"; exit 1; }
fi

