#!/bin/bash
# update-ps2sdk.sh by jimmikaelkael <jimmikaelkael@wanadoo.fr>
# Updated to use misfire's ps2dev mirror at github by SoulSlayer

source ./setup.sh

echo "Updating PS2SDK..."
cd ~/ || { echo "ERROR: failed to enter home user dir"; exit 1; }
rm -R ps2sdk/
git clone git://github.com/ps2dev/ps2sdk.git || { echo "ERROR: failed to checkout ps2sdk"; exit 1; }
cd ps2sdk/ || { echo "ERROR: failed to enter ps2sdk dir"; exit 1; }
make clean || { echo "ERROR: failed to clean ps2sdk"; exit 1; }
make all || { echo "ERROR: failed to build ps2sdk"; exit 1; }
make install || { echo "ERROR: failed to install newly built ps2sdk"; exit 1; }
echo "PS2SDK updated successfully..."

echo "Updating gsKit..."
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
cd gsKit/ || { echo "ERROR: failed to enter gsKit dir"; exit 1; }
git pull || { echo "ERROR: failed to update gsKit sources"; exit 1; }
make clean || { echo "ERROR: failed to clean gsKit"; exit 1; }
make || { echo "ERROR: failed to build gsKit"; exit 1; }
HAVE_GSKIT_ENV=`eval cat ~/.profile | sed -n 's/^.*GSKIT=$PS2DEV.//p'`
if [ $HAVE_GSKIT_ENV == "gsKit" ]; then
echo "Already have GSKIT env var" > /dev/null
else
echo 'export GSKIT=$PS2DEV/gsKit' >> ~/.profile;
fi
echo "gsKit updated successfully"

echo "Updating ps2sdk-ports..."
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
cd ps2sdk-ports/ || { echo "ERROR: failed to enter ps2sdk-ports dir"; exit 1; }
git pull || { echo "ERROR: failed to update ps2sdk-ports sources"; exit 1; }
cd zlib/ || { echo "ERROR: failed to enter zlib dir"; exit 1; }
make clean || { echo "ERROR: failed to clean zlib"; exit 1; }
make || { echo "ERROR: failed to build zlib"; exit 1; }
make install || { echo "ERROR: failed to install zlib"; exit 1; }
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
cd ps2sdk-ports/ || { echo "ERROR: failed to enter ps2sdk-ports dir"; exit 1; }
cd libpng/ || { echo "ERROR: failed to enter libpng dir"; exit 1; }
make clean || { echo "ERROR: failed to clean libpng"; exit 1; }
make || { echo "ERROR: failed to build libpng"; exit 1; }
make install || { echo "ERROR: failed to install libpng"; exit 1; }
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
cd ps2sdk-ports/ || { echo "ERROR: failed to enter ps2sdk-ports dir"; exit 1; }
cd libjpeg/ || { echo "ERROR: failed to enter libjpeg dir"; exit 1; }
make clean || { echo "ERROR: failed to clean libjpeg"; exit 1; }
make || { echo "ERROR: failed to build libjpeg"; exit 1; }
make install || { echo "ERROR: failed to install libjpeg"; exit 1; }
echo "ps2sdk-ports updated successfully"

echo "Updating ps2-packer..."
cd $PS2DEV || { echo "ERROR: failed to enter PS2DEV dir"; exit 1; }
cd ps2-packer/ || { echo "ERROR: failed to enter ps2-packer dir"; exit 1; }
git pull || { echo "ERROR: failed to update ps2-packer sources"; exit 1; }
make clean || { echo "ERROR: failed to clean ps2-packer"; exit 1; }
make || { echo "ERROR: failed to build ps2-packer"; exit 1; }
make install || { echo "ERROR: failed to install ps2-packer"; exit 1; }
echo "ps2-packer updated successfully"

